
package com.tmerclub.cloud.common.product.vo;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 属性-国际化表VO
 *
 * @author YXF
 * @date 2021-04-09 17:08:38
 */
public class AttrLangVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "语言 0.通用 1.中文 2.英文")
    private Integer lang;

    @Schema(description = "属性名称")
    private String name;

    @Schema(description = "属性描述")
    private String desc;

    public Integer getLang() {
        return lang;
    }

    public void setLang(Integer lang) {
        this.lang = lang;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    @Override
    public String toString() {
        return "AttrLangVO{" +
                ",lang=" + lang +
                ",name=" + name +
                ",desc=" + desc +
                '}';
    }
}
